Subject: Re: [PATCH net-next] tcp: Remove some spurious dropped packet profile hits from the passive connection accept path

From: Rick Jones <[email-masked]>
Date: Thu, 20 Nov 2014 13:51:29 -0800

On 11/20/2014 01:48 PM, Eric Dumazet wrote:
> On Thu, 2014-11-20 at 13:31 -0800, Rick Jones wrote:
>
>> Do you mean when there is actually data in the SYN?
>
> No, I mean the packet can be _dropped_ here, really.
>
> SYN flood for example.

Ah.  I did not pick-up on that.  Seeing the kfree_skb() in the original 
code I thought it was the end of the line for the segment.

rick